<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

//$maindb = "grpmast";
$file = "customer.php";

$keyfld = "accode";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vattin` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `add1` . `add2` . `add3` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `pin` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `tel` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `mobile2` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vattin` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `add1` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `pin` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `tel` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND `mobile2` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
    } else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vattin`";
    } else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `add1`";
    } else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `city`";
    } else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `pin`";
    } else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY `tel`";
    } else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY `mobile`";
    } else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY `mobile2`";
    }

 $ordcond = "DESC";
    if ($_REQUEST["orderAs"] == "desc") {
        $ordcond = " DESC";
    } else {
        $ordcond = " ASC";
    }

$query = "SELECT name, vattin, add1, add2, city, pin, tel, accode, mobile,mobile2 FROM `accmast` WHERE `grpcode`= '010' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'   => $ctr,
        'keyfld'  => $keyfld,
        'name'    => $r['name'],
        'vattin'    => $r['vattin'],
        'add1'  => $r['add1'],
        'add2'  => $r['add2'],
        'city'    => $r['city'],
        'pin'     => $r['pin'],
        'tel'  => $r['tel'],
        'mobile'  => $r['mobile'],
        'mobile2'  => $r['mobile2'],
        'action'  => "$file?mode=edit&accode=$r[accode]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
